Page MenuHomePhabricator

Qid displayed instead of unit name
Closed, ResolvedPublic

Description

Since yesterday sparsely, now nearly everywhere (probably because of the cache), the unit names for quantity statements are not shown, the unit’s Qid is displayed instead. This bug doesn’t affect the JavaScript-generated statement view (e.g. after editing), but these are wrong as well after page reload.

Example (Q4105711#P2044):

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2018, 9:33 PM

Change 445390 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/Wikibase@master] Fix missing label for unit items when displayed on entity page

https://gerrit.wikimedia.org/r/445390

Lydia_Pintscher triaged this task as High priority.Jul 12 2018, 1:24 PM
Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.

Change 445390 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix missing label for unit items when displayed on entity page

https://gerrit.wikimedia.org/r/445390

Change 445413 had a related patch set uploaded (by Addshore; owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/Wikibase@wmf/1.32.0-wmf.12] Fix missing label for unit items when displayed on entity page

https://gerrit.wikimedia.org/r/445413

Change 445413 merged by Addshore:
[mediawiki/extensions/Wikibase@wmf/1.32.0-wmf.12] Fix missing label for unit items when displayed on entity page

https://gerrit.wikimedia.org/r/445413

Mentioned in SAL (#wikimedia-operations) [2018-07-12T14:37:39Z] <addshore@deploy1001> Synchronized php-1.32.0-wmf.12/extensions/Wikibase/repo: T199379 Fix missing label for unit items when displayed on entity page [[gerrit:445413]] (duration: 01m 02s)

Should be fixed now, but pages that are already showing bad stuff will need a purge!

Lydia_Pintscher closed this task as Resolved.Jul 12 2018, 2:41 PM
Lydia_Pintscher claimed this task.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

\o/

Should be fixed now, but pages that are already showing bad stuff will need a purge!

Any task/plan for that? Do you have a time window from when it was broken to when it was fixed? A SPARQL query should be able to return the objects with a timestamp in that period so these can be purged by a robot.

Change 445645 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Test that links to items used as quantities are added to ParserOutput

https://gerrit.wikimedia.org/r/445645

Change 445645 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Test that links to items used as units are added to ParserOutput

https://gerrit.wikimedia.org/r/445645